

import numpy as np

def chords_allocation(first, 
                      rep, 
                      norm, 
                      left_subnorm, 
                      right_subnorm, 
                      other, 
                      left_subother, 
                      right_subother, 
                      sub_subdoms, 
                      subdom, 
                      cad, 
                      dom, 
                      last, 
                      final_pb, 
                      final_cs):
    
    
    chords_names = ['first', 'rep', 'norm', 
                '*norm', 'norm*', 'other', 
                '*other', 'other*', 'sub***', 
                'sub**', 'sub*', 'sub', 
                'cad64', 'dom', 'last']
    chords_variables = [first, rep, norm, 
                        left_subnorm, right_subnorm, other, 
                        left_subother, right_subother, sub_subdoms[2], 
                        sub_subdoms[1], sub_subdoms[0], subdom, 
                        cad, dom, last]

    # PB's chords

    pb_chords = [chords_variables[chords_names.index(chord)] 
                 if chord in chords_names else chord 
                 for chord in final_pb]

    # CS' chord

    cs_chords = []
    for chord in final_cs:
        if chord in chords_names:
            cs_chords.append(chords_variables[chords_names.index(chord)])
        else:
            cs_chords.append(chord)
        '''
        elif type(chord) == str:   # to exclude NaN
            cs_chords.append([chords_variables[chords_names.index(chord.split('+')[0])], 
                             chords_variables[chords_names.index(chord.split('+')[1])]])            
        '''
    return pb_chords, cs_chords