


def data_initialisation(loudness_var,
                        current_tension,
                        max_tension,
                        max_profile,
                        tempo_var,
                        bpm,
                        min_loudness,
                        max_loudness):
    
    if loudness_var.value == 'yes':
        b = min_loudness
        a = (max_loudness-min_loudness)/max_profile
        current_loudness = int(a*current_tension+b)
    else:
        current_bpm = bpm

    if tempo_var.value == 'yes' and current_tension >= max_tension:
        a = bpm/(max_profile-max_tension)
        b = bpm*(1-max_tension/(max_profile-max_tension))
        current_bpm = int(a*current_tension+b)
    else:
        current_bpm = bpm
        
    return current_loudness, current_bpm