

import ipywidgets as widgets


def themer_widgets():

    style = {'description_width': 'initial'}

        
    num_bars = widgets.Dropdown(
        options=[4,6,8,10,12],
        value=8,
        description='Number of bars:',
        disabled=False,
        style=style)
    
    bpm = widgets.IntText(
        value=60,
        description='Tempo (BPM):',
        disabled=False,
        style = style)

    time_sig = widgets.Dropdown(
        options=['2/4', '3/4', '4/4', 
                '6/8', '9/8', '12/8'],
        value='2/4',
        description='Time Signature:',
        disabled=False,
        style=style)

    key_label = widgets.Dropdown(
        options=['C', 'a', 'G', 'd', 
                 'D', 'b', 'A', 'f#', 
                 'E', 'c#', 'B', 'g#', 
                 'Cb', 'ab', 'F#', 'd#',
                 'Gb', 'eb', 'C#', 'a#', 
                 'Db', 'bb', 'Ab', 'f', 
                 'Eb', 'c', 'Bb', 'g', 
                 'F', 'd'],
        value='C',
        description='Key:',
        disabled=False)

    character = widgets.Dropdown(
        options=['adagio', 
                'andante',
                'allegro',
                'presto'],
        value='allegro',
        description='Character:',
        disabled=False,
        style=style)
    
    
    button = widgets.Button(description='Continue')

    
    display(num_bars)
    display(bpm)
    display(time_sig)
    display(key_label)
    display(character)
    #display(button)
    
    
    return (num_bars,
            bpm, 
            time_sig, 
            key_label, 
            character, 
            button)


def morpher_widgets():
    
    style = {'description_width': 'initial'}
            
    loudness = widgets.RadioButtons(
        options=['yes', 'no'],
        value='yes',
        description='Include loudness changes:',
        disabled=False,
        style=style
    )   
    
    tempo = widgets.RadioButtons(
        options=['yes', 'no'],
        value='yes',
        description='Include tempo changes:',
        disabled=False,
        style=style
    )       

    
    button = widgets.Button(description='Continue')

    display(loudness)
    display(tempo)
    #display(button)
    
    return (loudness,
            tempo,
            button)
